package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Heart extends Sprite<Heart.HeartState> {
    public enum HeartState {
        OFF, ON,
    }

    public Heart() {
        loadResources(new HashMap<>() {
            {
                put(HeartState.OFF, "gui/heartempty.ans");
                put(HeartState.ON, "gui/heartfull.ans");
            }
        }, HeartState.class);
    }

    public String getSprite() {
        return getSprite(HeartState.OFF);
    }

    public String getSprite(HeartState e) {
        return getResource(e);
    }
}
